function dw = Model_and_transition(t,w)
% Purpose: Integrate a simple orbital problem. Forces: Gravity
% Input: w = [X Y U V GM STM]
% Output dw = [dX dY dU dV dGM dSTM]

dw = zeros(5+25,1);

%State integration
X = w(1:5);  % State Vector
x  = w(1);
y  = w(2);
dx = w(3);
dy = w(4);
GM = w(5);
r = sqrt(x^2+y^2);
dw(1) = dx;
dw(2) = dy;
dw(3) = -GM/r^3*x;
dw(4) = -GM/r^3*y;
dw(5) = 0;

% STM integration
phi = w(6:30);
PHI = reshape(phi,5,5);
A = A_matrix(X);
dphi = A*PHI;
dphi = reshape(dphi,1,25);

dw(6:30) = dphi;
end
